> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Call Logs

> Retrieves a list of call logs for a specific job.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agent-analytics/logs
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/agent-analytics/logs:
    get:
      summary: List Call Logs
      description: Retrieves a list of call logs for a specific job.
      parameters:
        - in: query
          name: jobId
          required: true
          description: The unique identifier of the job.
          schema:
            type: string
            format: uuid
            example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCallLogsResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Server Side Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListCallLogsResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/CallLog'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    CallLog:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the call log.
          example: 8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b
        type:
          type: string
          description: The type of the log event.
          enum:
            - ERROR
            - WARNING
            - INFO
            - DEBUG
          example: ERROR
        category:
          type: string
          description: The category of the log.
          example: call
        nodeId:
          type: string
          description: The node identifier associated with the log.
          example: node_id
        message:
          type: string
          description: The log message.
          example: Error message
        payload:
          type: object
          description: Additional payload data.
          additionalProperties: true
          example: {}
        timestamp:
          type: string
          format: date-time
          description: The timestamp when the log was created.
          example: '2023-07-01T00:00:00.000Z'
        jobId:
          type: string
          format: uuid
          description: The job identifier associated with this log.
          example: 8b4c8c7d-8b4c-4c7d-8b4c-4c7d8b4c7d8b
        createdAt:
          type: string
          format: date-time
          description: The creation timestamp.
          example: '2023-07-01T00:00:00.000Z'
        updatedAt:
          type: string
          format: date
          description: The last update timestamp.
          example: '2023-07-01'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````